2009年7月12日

[debian-users:52628] [Translate] [SECURITY] [DSA 1829-1] New sork-passwd-h3 packages fixcross-site scripting

かねこです。
URL 等は Debian-security-announce メーリングリストの元記事を確認
ください。

------>8------------>8------------>8------------>8------------>8-
- ------------------------------------------------------------------------
Debian Security Advisory DSA-1829-1 security@xxxxx
http://www.debian.org/security/ Steffen Joeris

July 11, 2009 http://www.debian.org/security/faq
- ------------------------------------------------------------------------

Package : sork-passwd-h3
Vulnerability : 入力のサニタイズ不足
Problem type : リモート
Debian-specific: いいえ
CVE ID : CVE-2009-2360
Debian Bug : 536554


ユーザがパスワードを変更するための Horde3 モジュール sork-passwd-h3 に、
backend パラメータを使ったクロスサイトスクリプティング攻撃を許す欠陥が
発見されました。

旧安定版 (oldstable) ディストリビューション (etch) では、この問題はバー
ジョン 3.0-2+etch1 で修正されています。

安定版 (stable) ディストリビューション (lenny) では、この問題はバージョ
ン 3.0-2+lenny1 で修正されています。

テスト版ディストリビューション (squeeze) では、この問題は近く修正予定で
す。

不安定版 (unstable) ディストリビューション (sid) では、この問題はバージ
ョン 3.1-1.1 で修正されています。

直ぐに sork-passwd-h3 パッケージをアップグレードすることを勧めます。


アップグレード手順
------------------

wget url
でファイルを取得できます。
dpkg -i file.deb
で参照されたファイルをインストールできます。

apt-get パッケージマネージャを用いている場合には、本メールのフッタ記載の
行を sources.list に加えて、

apt-get update
を実行して内部データベースを更新し、
apt-get upgrade
によって修正されたパッケージをインストールしてください。

本メールのフッタ記載の設定を自ホストの設定に加えることにより、自動更新を
行うこともできます。


Debian GNU/Linux 4.0 alias etch
- -------------------------------

Debian (old stable)
- ------------------

旧安定版の更新は、alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel,
powerpc, s390 および sparc の各アーキテクチャで提供されています。
.
ソースアーカイブ:


http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0.orig.tar.gz
Size/MD5 checksum: 966096 ca5612500c91c4ef3c838e8e94376332

http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+etch1.dsc
Size/MD5 checksum: 722 9c114c8b4abf6db6b91a94f4e0359f77

http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+etch1.diff.gz
Size/MD5 checksum: 8070 f8bdcfd6195df252914144f2a9e78869

アーキテクチャに依存しないパッケージ:


http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+etch1_all.deb
Size/MD5 checksum: 936654 8827158aa7959c230edd2f264061309d


Debian GNU/Linux 5.0 alias lenny
- --------------------------------

Debian (stable)
- ---------------

安定版の更新は、alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel,
powerpc, s390 および sparc の各アーキテクチャで提供されています。
.
ソースアーカイブ:


http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+lenny1.dsc
Size/MD5 checksum: 1134 21cddfb0875a3513716238b2482c8f48

http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0.orig.tar.gz
Size/MD5 checksum: 966096 ca5612500c91c4ef3c838e8e94376332

http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+lenny1.diff.gz
Size/MD5 checksum: 8075 ac8d69e8612a96eeb18f3d68960dfaa2

アーキテクチャに依存しないパッケージ:


http://security.debian.org/pool/updates/main/s/sork-passwd-h3/sork-passwd-h3_3.0-2+lenny1_all.deb
Size/MD5 checksum: 936656 b931e5db33decf642d8911f01b5656a1


これらのファイルは次の版の安定版リリース時そちらに移されます。


- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@xxxxx
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<;pkg>
------>8------------>8------------>8------------>8------------>8-
--
Seiji Kaneko skaneko@xxxxx
---------------------------------------------------------

投稿者 xml-rpc : 2009年7月12日 00:51
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/86587
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。